NXWidgets: NxWM::IApplicationWindow Class Reference

NXWidgets 1.19

Public Member Functions | List of all members
NxWM::IApplicationWindow Class Referenceabstract

`#include <iapplicationwindow.hxx>`

Inheritance diagram for NxWM::IApplicationWindow:

## Public Member Functions
virtual | ~IApplicationWindow (void)
virtual bool | open (void)=0
virtual void | redraw (void)=0
virtual void | hide (void)=0
virtual NXWidgets::INxWindow * | getWindow (void) const =0
virtual NXWidgets::CWidgetControl * | getWidgetControl (void) const =0
virtual void | block (IApplication *app)=0
virtual void | setWindowLabel (NXWidgets::CNxString &appname)=0
virtual bool | isFullScreen (void) const =0
virtual void | registerCallbacks (IApplicationCallback *callback)=0
virtual void | clickMinimizePosition (bool click)=0
virtual void | clickStopIcon (bool click)=0

## Detailed Description

This class represents the general application window. The actual window may be a contained, framed window or and unframed, fullscreen window.

Definition at line 95 of file iapplicationwindow.hxx.

## Constructor & Destructor Documentation

## ◆ ~IApplicationWindow()

virtual NxWM::IApplicationWindow::~IApplicationWindow | ( | void |  | ) |
| inlinevirtual

A virtual destructor is required in order to override the IApplicationWindow destructor. We do this because if we delete IApplicationWindow, we want the destructor of the class that inherits from IApplicationWindow to run, not this one.

Definition at line 105 of file iapplicationwindow.hxx.

## Member Function Documentation

## ◆ block()

virtual void NxWM::IApplicationWindow::block | ( | IApplication * | app | ) |
| pure virtual

Block further activity on this window in preparation for window shutdown.

Parameters

  app. | The application to be blocked

Implemented in NxWM::CApplicationWindow, and NxWM::CFullScreenWindow.

## ◆ clickMinimizePosition()

virtual void NxWM::IApplicationWindow::clickMinimizePosition | ( | bool | click | ) |
| pure virtual

Simulate a mouse click or release on the minimize icon. This method is only available for automated testing of NxWM.

Parameters

  click. | True to click; false to release;

Implemented in NxWM::CApplicationWindow, and NxWM::CFullScreenWindow.

## ◆ clickStopIcon()

virtual void NxWM::IApplicationWindow::clickStopIcon | ( | bool | click | ) |
| pure virtual

Simulate a mouse click or release on the stop icon. This method is only available for automated testing of NxWM.

Parameters

  click. | True to click; false to release;

Implemented in NxWM::CApplicationWindow, and NxWM::CFullScreenWindow.

## ◆ getWidgetControl()

virtual NXWidgets::CWidgetControl* NxWM::IApplicationWindow::getWidgetControl | ( | void |  | ) | const
| pure virtual

Recover the contained widget control

Returns
  . The widget control used by this application

Implemented in NxWM::CApplicationWindow, and NxWM::CFullScreenWindow.

## ◆ getWindow()

virtual NXWidgets::INxWindow* NxWM::IApplicationWindow::getWindow | ( | void |  | ) | const
| pure virtual

Recover the contained window instance

Returns
  . The window used by this application

Implemented in NxWM::CApplicationWindow, and NxWM::CFullScreenWindow.

## ◆ hide()

virtual void NxWM::IApplicationWindow::hide | ( | void |  | ) |
| pure virtual

The application window is hidden (either it is minimized or it is maximized, but not at the top of the hierarchy)

Implemented in NxWM::CApplicationWindow, and NxWM::CFullScreenWindow.

## ◆ isFullScreen()

virtual bool NxWM::IApplicationWindow::isFullScreen | ( | void |  | ) | const
| pure virtual

Report of this is a "normal" window or a full screen window. The primary purpose of this method is so that window manager will know whether or not it show draw the task bar.

Returns
  True if this is a full screen window.

Implemented in NxWM::CApplicationWindow, and NxWM::CFullScreenWindow.

## ◆ open()

virtual bool NxWM::IApplicationWindow::open | ( | void |  | ) |
| pure virtual

Initialize window. Window initialization is separate from object instantiation so that failures can be reported.

Returns
  True if the window was successfully initialized.

Implemented in NxWM::CApplicationWindow, and NxWM::CFullScreenWindow.

## ◆ redraw()

virtual void NxWM::IApplicationWindow::redraw | ( | void |  | ) |
| pure virtual

Re-draw the application window

Implemented in NxWM::CApplicationWindow, and NxWM::CFullScreenWindow.

## ◆ registerCallbacks()

virtual void NxWM::IApplicationWindow::registerCallbacks | ( | IApplicationCallback * | callback | ) |
| pure virtual

Register to receive callbacks when toolbar icons are selected

Implemented in NxWM::CApplicationWindow, and NxWM::CFullScreenWindow.

## ◆ setWindowLabel()

virtual void NxWM::IApplicationWindow::setWindowLabel | ( | NXWidgets::CNxString & | appname | ) |
| pure virtual

Set the window label

Parameters

  appname. | The name of the application to place on the window

Implemented in NxWM::CApplicationWindow, and NxWM::CFullScreenWindow.

The documentation for this class was generated from the following file:

- iapplicationwindow.hxx